hiedb-0.6.0.0: Generates a references DB from .hie files

Safe Haskell | None
Language | Haskell2010

HieDb.Dump

Synopsis

- dump :: (NameCacheMonad m, MonadIO m) => DynFlags -> FilePath -> m ()
- sourceCode :: (NameCacheMonad m, MonadIO m) => FilePath -> m [Text]

# Documentation

dump #

Arguments

:: (NameCacheMonad m, MonadIO m) |
=> DynFlags |
-> FilePath | Path to .hie file
-> m () |

Pretty print Hie AST stored in given .hie file

sourceCode :: (NameCacheMonad m, MonadIO m) => FilePath -> m [Text] #

Get lines of original source code from given .hie file